/*
 * Copyright (c) 2002-2005 Atheros Communications, Inc.
 * All rights reserved.
 *
 */

#include "opt_ah.h"

#ifdef AH_SUPPORT_AR5210

#include "ah.h"
#include "ah_internal.h"

#include "ar5210/ar5210.h"
#include "ar5210/ar5210reg.h"
#include "ar5210/ar5210desc.h"
#include "ar5210/ar5210phy.h"

HAL_BOOL
ar5210HaveRadarEvent(struct ath_hal *ah)
{

	return AH_FALSE;
}

HAL_BOOL
ar5210ProcessRadarEvent(struct ath_hal *ah, HAL_CHANNEL *chan)
{
	return AH_FALSE;
}

u_int32_t
ar5210CheckRadarNol(struct ath_hal *ah, HAL_CHANNEL *chans, u_int32_t nchans)
{
	return 0;
}

HAL_BOOL
ar5210RadarWait(struct ath_hal *ah, HAL_CHANNEL *chan)
{
	chan->privFlags |= CHANNEL_DFS_CLEAR;
	return AH_FALSE;
}

HAL_STATUS
ar5210RadarAttach(struct ath_hal *ah)
{
	return HAL_OK;
}

void
ar5210RadarDetach(struct ath_hal *ah)
{
}


#endif /* AH_SUPPORT_5210 */

